MultiColumnRestriction.Slice (apache-cassandra API)
Date: 2014-10-21

org.apache.cassandra.cql3.statements

## Class MultiColumnRestriction.Slice

- java.lang.Object
- - org.apache.cassandra.cql3.statements.SingleColumnRestriction
  - - org.apache.cassandra.cql3.statements.SingleColumnRestriction.Slice
    - - org.apache.cassandra.cql3.statements.MultiColumnRestriction.Slice

- All Implemented Interfaces:
    MultiColumnRestriction, Restriction, Restriction.Slice
  Enclosing interface:
    MultiColumnRestriction

      public static class MultiColumnRestriction.Slice
      extends SingleColumnRestriction.Slice
      implements MultiColumnRestriction

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.cassandra.cql3.statements.SingleColumnRestriction

      `SingleColumnRestriction.Contains, SingleColumnRestriction.EQ, SingleColumnRestriction.InWithMarker, SingleColumnRestriction.InWithValues, SingleColumnRestriction.Slice`

    - ### Nested classes/interfaces inherited from interface org.apache.cassandra.cql3.statements.MultiColumnRestriction

      `MultiColumnRestriction.EQ, MultiColumnRestriction.IN, MultiColumnRestriction.InWithMarker, MultiColumnRestriction.InWithValues, MultiColumnRestriction.Slice`

  - ### Field Summary

    - ### Fields inherited from class org.apache.cassandra.cql3.statements.SingleColumnRestriction.Slice

      `boundInclusive, bounds, onToken`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MultiColumnRestriction.Slice(boolean onToken)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.nio.ByteBuffer` | `bound(Bound b, QueryOptions options)`
    `java.util.List<java.nio.ByteBuffer>` | `componentBounds(Bound b, QueryOptions options)` Similar to bounds(), but returns one ByteBuffer per-component in the bound instead of a single ByteBuffer to represent the entire bound.
    `boolean` | `isMultiColumn()`

    - ### Methods inherited from class org.apache.cassandra.cql3.statements.SingleColumnRestriction.Slice

      `getIndexOperator, getRelation, hasBound, isContains, isEQ, isIN, isInclusive, isOnToken, isSlice, setBound, toString, values`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.cassandra.cql3.statements.Restriction

      `isContains, isEQ, isIN, isOnToken, isSlice, values`

- - ### Constructor Detail

    - #### MultiColumnRestriction.Slice

          public MultiColumnRestriction.Slice(boolean onToken)

  - ### Method Detail

    - #### isMultiColumn

          public boolean isMultiColumn()

      Specified by:
        `isMultiColumn` in interface `Restriction`
      Overrides:
        `isMultiColumn` in class `SingleColumnRestriction`

    - #### bound

          public java.nio.ByteBuffer bound(Bound b,
                                  QueryOptions options)
                                    throws InvalidRequestException

      Specified by:
        `bound` in interface `Restriction.Slice`
      Overrides:
        `bound` in class `SingleColumnRestriction.Slice`
      Throws:
        `InvalidRequestException`

    - #### componentBounds

          public java.util.List<java.nio.ByteBuffer> componentBounds(Bound b,
                                                            QueryOptions options)
                                                              throws InvalidRequestException

      Similar to bounds(), but returns one ByteBuffer per-component in the bound instead of a single ByteBuffer to represent the entire bound.
      Throws:
        `InvalidRequestException`

Copyright © 2014 The Apache Software Foundation